Robotics Systems Commons - Bug #1357
Prefix stripping in EnvironmentVariableSource does not work
01/25/2013 09:24 AM - J. Wienke

Status: Resolved Start date: 01/25/2013

Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%

Category: Configuration Estimated time: 0.00 hour

Target version: rsb-0.9

Description

Even though enabled, a prefix for environment variable is never removed.

Related issues:

Blocks Robotics Service Bus - Bug # 1356: Configuration via (some? all?) envi... Resolved 01/24/2013

Associated revisions

Revision 68ef3532 - 01/25/2013 09:27 AM - J. Wienke

Fix stripping of environment variable prefixes in the configuration mechanism.

The iterator was used in a wrong way.

fixes #1357

History

#1 - 01/25/2013 09:29 AM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsclcommit:68ef353200e5¢7fbf00c91beb57aca031533579d.

04/25/2024

1/1




